/*
    cj_order.j v 0.12
	
    Orders Define Library
    Intended to optimize map script by replacing conversion of strings into order ids.

    This file is part of cJass standard library
     2009 Shadow Daemon \\ cjass.xgm.ru
*/

#guard cj_order

define {
  
  // Standard orders
  order_smart                 = 851971
  order_stop                  = 851972
  order_setrally              = 851980
  order_getitem               = 851981
  order_attack                = 851983
  order_attackground          = 851984
  order_attackonce            = 851985
  order_move                  = 851986
  order_AImove                = 851988
  order_patrol                = 851990
  order_holdposition          = 851993
  order_build                 = 851994
  order_humanbuild            = 851995
  order_orcbuild              = 851996
  order_nightelfbuild         = 851997
  order_undeadbuild           = 851998
  order_resumebuild           = 851999
  order_dropitem              = 852001
  order_detectaoe             = 852015
  order_resumeharvesting      = 852017
  order_harvest               = 852018
  order_returnresources       = 852020
  order_autoharvestgold       = 852021
  order_autoharvestlumber     = 852022
  order_neutraldetectaoe      = 852023
  order_repair                = 852024
  order_repairon              = 852025
  order_repairoff             = 852026
  order_revive                = 852039
  order_selfdestruct          = 852040
  order_selfdestructon        = 852041
  order_selfdestructoff       = 852042
  order_board                 = 852043
  order_forceboard            = 852044
  order_load                  = 852046
  order_unload                = 852047
  order_unloadall             = 852048
  order_unloadallinstant      = 852049
  order_loadcorpse            = 852050
  order_loadcorpseinstant     = 852053
  order_unloadallcorpses      = 852054
  order_defend                = 852055
  order_undefend              = 852056
  order_dispel                = 852057
  order_flare                 = 852060
  order_heal                  = 852063
  order_healon                = 852064
  order_healoff               = 852065
  order_innerfire             = 852066
  order_innerfireon           = 852067
  order_innerfireoff          = 852068
  order_invisibility          = 852069
  order_militiaconvert        = 852071
  order_militia               = 852072
  order_militiaoff            = 852073
  order_polymorph             = 852074
  order_slow                  = 852075
  order_slowon                = 852076
  order_slowoff               = 852077
  order_tankdroppilot         = 852079
  order_tankloadpilot         = 852080
  order_tankpilot             = 852081
  order_townbellon            = 852082
  order_townbelloff           = 852083
  order_avatar                = 852086
  order_unavatar              = 852087
  order_blizzard              = 852089
  order_divineshield          = 852090
  order_undivineshield        = 852091
  order_holybolt              = 852092
  order_massteleport          = 852093
  order_resurrection          = 852094
  order_thunderbolt           = 852095
  order_thunderclap           = 852096
  order_waterelemental        = 852097
  order_battlestations        = 852099
  order_berserk               = 852100
  order_bloodlust             = 852101
  order_bloodluston           = 852102
  order_bloodlustoff          = 852103
  order_devour                = 852104
  order_evileye               = 852105
  order_ensnare               = 852106
  order_ensnareon             = 852107
  order_ensnareoff            = 852108
  order_healingward           = 852109
  order_lightningshield       = 852110
  order_purge                 = 852111
  order_standdown             = 852113
  order_stasistrap            = 852114
  order_chainlightning        = 852119
  order_earthquake            = 852121
  order_farsight              = 852122
  order_mirrorimage           = 852123
  order_shockwave             = 852125
  order_spiritwolf            = 852126
  order_stomp                 = 852127
  order_whirlwind             = 852128
  order_windwalk              = 852129
  order_unwindwalk            = 852130
  order_ambush                = 852131
  order_autodispel            = 852132
  order_autodispelon          = 852133
  order_autodispeloff         = 852134
  order_barkskin              = 852135
  order_barkskinon            = 852136
  order_barkskinoff           = 852137
  order_bearform              = 852138
  order_unbearform            = 852139
  order_corrosivebreath       = 852140
  order_loadarcher            = 852142
  order_mounthippogryph       = 852143
  order_cyclone               = 852144
  order_detonate              = 852145
  order_eattree               = 852146
  order_entangle              = 852147
  order_entangleinstant       = 852148
  order_faeriefire            = 852149
  order_faeriefireon          = 852150
  order_faeriefireoff         = 852151
  order_ravenform             = 852155
  order_unravenform           = 852156
  order_recharge              = 852157
  order_rechargeon            = 852158
  order_rechargeoff           = 852159
  order_rejuvination          = 852160
  order_renew                 = 852161
  order_renewon               = 852162
  order_renewoff              = 852163
  order_roar                  = 852164
  order_root                  = 852165
  order_unroot                = 852166
  order_entanglingroots       = 852171
  order_flamingarrowstarg     = 852173
  order_flamingarrows         = 852174
  order_unflamingarrows       = 852175
  order_forceofnature         = 852176
  order_immolation            = 852177
  order_unimmolation          = 852178
  order_manaburn              = 852179
  order_metamorphosis         = 852180
  order_scout                 = 852181
  order_sentinel              = 852182
  order_starfall              = 852183
  order_tranquility           = 852184
  order_acolyteharvest        = 852185
  order_antimagicshell        = 852186
  order_blight                = 852187
  order_cannibalize           = 852188
  order_cripple               = 852189
  order_curse                 = 852190
  order_curseon               = 852191
  order_curseoff              = 852192
  order_freezingbreath        = 852195
  order_possession            = 852196
  order_raisedead             = 852197
  order_raisedeadon           = 852198
  order_raisedeadoff          = 852199
  order_instant               = 852200
  order_requestsacrifice      = 852201
  order_restoration           = 852202
  order_restorationon         = 852203
  order_restorationoff        = 852204
  order_sacrifice             = 852205
  order_stoneform             = 852206
  order_unstoneform           = 852207
  order_unholyfrenzy          = 852209
  order_unsummon              = 852210
  order_web                   = 852211
  order_webon                 = 852212
  order_weboff                = 852213
  order_wispharvest           = 852214
  order_auraunholy            = 852215
  order_auravampiric          = 852216
  order_animatedead           = 852217
  order_carrionswarm          = 852218
  order_darkritual            = 852219
  order_darksummoning         = 852220
  order_deathanddecay         = 852221
  order_deathcoil             = 852222
  order_deathpact             = 852223
  order_dreadlordinferno      = 852224
  order_frostarmor            = 852225
  order_frostnova             = 852226
  order_sleep                 = 852227
  order_darkconversion        = 852228
  order_darkportal            = 852229
  order_fingerofdeath         = 852230
  order_firebolt              = 852231
  order_inferno               = 852232
  order_gold2lumber           = 852233
  order_lumber2gold           = 852234
  order_spies                 = 852235
  order_rainofchaos           = 852237
  order_rainoffire            = 852238
  order_request_hero          = 852239
  order_disassociate          = 852240
  order_revenge               = 852241
  order_soulpreservation      = 852242
  order_coldarrowstarg        = 852243
  order_coldarrows            = 852244
  order_uncoldarrows          = 852245
  order_creepanimatedead      = 852246
  order_creepdevour           = 852247
  order_creepheal             = 852248
  order_creephealon           = 852249
  order_creephealoff          = 852250
  order_creepthunderbolt      = 852252
  order_creepthunderclap      = 852253
  order_poisonarrowstarg      = 852254
  order_poisonarrows          = 852255
  order_unpoisonarrows        = 852256
  order_frostarmoron          = 852458
  order_frostarmoroff         = 852459
  order_awaken                = 852466
  order_nagabuild             = 852467
  order_mount                 = 852469
  order_dismount              = 852470
  order_cloudoffog            = 852473
  order_controlmagic          = 852474
  order_magicdefense          = 852478
  order_magicundefense        = 852479
  order_magicleash            = 852480
  order_phoenixfire           = 852481
  order_phoenixmorph          = 852482
  order_spellsteal            = 852483
  order_spellstealon          = 852484
  order_spellstealoff         = 852485
  order_banish                = 852486
  order_drain                 = 852487
  order_flamestrike           = 852488
  order_summonphoenix         = 852489
  order_ancestralspirit       = 852490
  order_ancestralspirittarget = 852491
  order_corporealform         = 852493
  order_uncorporealform       = 852494
  order_disenchant            = 852495
  order_etherealform          = 852496
  order_unetherealform        = 852497
  order_spiritlink            = 852499
  order_unstableconcoction    = 852500
  order_healingwave           = 852501
  order_hex                   = 852502
  order_voodoo                = 852503
  order_ward                  = 852504
  order_autoentangle          = 852505
  order_autoentangleinstant   = 852506
  order_coupletarget          = 852507
  order_coupleinstant         = 852508
  order_decouple              = 852509
  order_grabtree              = 852511
  order_manaflareon           = 852512
  order_manaflareoff          = 852513
  order_phaseshift            = 852514
  order_phaseshifton          = 852515
  order_phaseshiftoff         = 852516
  order_phaseshiftinstant     = 852517
  order_taunt                 = 852520
  order_vengeance             = 852521
  order_vengeanceon           = 852522
  order_vengeanceoff          = 852523
  order_vengeanceinstant      = 852524
  order_blink                 = 852525
  order_fanofknives           = 852526
  order_shadowstrike          = 852527
  order_spiritofvengeance     = 852528
  order_absorb                = 852529
  order_avengerform           = 852531
  order_unavengerform         = 852532
  order_burrow                = 852533
  order_unburrow              = 852534
  order_devourmagic           = 852536
  order_flamingattacktarg     = 852539
  order_flamingattack         = 852540
  order_unflamingattack       = 852541
  order_replenish             = 852542
  order_replenishon           = 852543
  order_replenishoff          = 852544
  order_replenishlife         = 852545
  order_replenishlifeon       = 852546
  order_replenishlifeoff      = 852547
  order_replenishmana         = 852548
  order_replenishmanaon       = 852549
  order_replenishmanaoff      = 852550
  order_carrionscarabs        = 852551
  order_carrionscarabson      = 852552
  order_carrionscarabsoff     = 852553
  order_carrionscarabsinstant = 852554
  order_impale                = 852555
  order_locustswarm           = 852556
  order_breathoffrost         = 852560
  order_frenzy                = 852561
  order_frenzyon              = 852562
  order_frenzyoff             = 852563
  order_mechanicalcritter     = 852564
  order_mindrot               = 852565
  order_neutralinteract       = 852566
  order_preservation          = 852568
  order_sanctuary             = 852569
  order_shadowsight           = 852570
  order_spellshield           = 852571
  order_spellshieldaoe        = 852572
  order_spirittroll           = 852573
  order_steal                 = 852574
  order_attributemodskill     = 852576
  order_blackarrow            = 852577
  order_blackarrowon          = 852578
  order_blackarrowoff         = 852579
  order_breathoffire          = 852580
  order_charm                 = 852581
  order_doom                  = 852583
  order_drunkenhaze           = 852585
  order_elementalfury         = 852586
  order_forkedlightning       = 852587
  order_howlofterror          = 852588
  order_manashieldon          = 852589
  order_manashieldoff         = 852590
  order_monsoon               = 852591
  order_silence               = 852592
  order_stampede              = 852593
  order_summongrizzly         = 852594
  order_summonquillbeast      = 852595
  order_summonwareagle        = 852596
  order_tornado               = 852597
  order_wateryminion          = 852598
  order_battleroar            = 852599
  order_channel               = 852600
  order_parasite              = 852601
  order_parasiteon            = 852602
  order_parasiteoff           = 852603
  order_submerge              = 852604
  order_unsubmerge            = 852605
  order_neutralspell          = 852630
  order_militiaunconvert      = 852651
  order_clusterrockets        = 852652
  order_robogoblin            = 852656
  order_unrobogoblin          = 852657
  order_summonfactory         = 852658
  order_acidbomb              = 852662
  order_chemicalrage          = 852663
  order_healingspray          = 852664
  order_transmute             = 852665
  order_lavamonster           = 852667
  order_soulburn              = 852668
  order_volcano               = 852669
  order_incineratearrow       = 852670
  order_incineratearrowon     = 852671
  order_incineratearrowoff    = 852672
  
  
  <OrderId("smart")>                 = 851971
  <OrderId("stop")>                  = 851972
  <OrderId("setrally")>              = 851980
  <OrderId("getitem")>               = 851981
  <OrderId("attack")>                = 851983
  <OrderId("attackground")>          = 851984
  <OrderId("attackonce")>            = 851985
  <OrderId("move")>                  = 851986
  <OrderId("AImove")>                = 851988
  <OrderId("patrol")>                = 851990
  <OrderId("holdposition")>          = 851993
  <OrderId("build")>                 = 851994
  <OrderId("humanbuild")>            = 851995
  <OrderId("orcbuild")>              = 851996
  <OrderId("nightelfbuild")>         = 851997
  <OrderId("undeadbuild")>           = 851998
  <OrderId("resumebuild")>           = 851999
  <OrderId("dropitem")>              = 852001
  <OrderId("detectaoe")>             = 852015
  <OrderId("resumeharvesting")>      = 852017
  <OrderId("harvest")>               = 852018
  <OrderId("returnresources")>       = 852020
  <OrderId("autoharvestgold")>       = 852021
  <OrderId("autoharvestlumber")>     = 852022
  <OrderId("neutraldetectaoe")>      = 852023
  <OrderId("repair")>                = 852024
  <OrderId("repairon")>              = 852025
  <OrderId("repairoff")>             = 852026
  <OrderId("revive")>                = 852039
  <OrderId("selfdestruct")>          = 852040
  <OrderId("selfdestructon")>        = 852041
  <OrderId("selfdestructoff")>       = 852042
  <OrderId("board")>                 = 852043
  <OrderId("forceboard")>            = 852044
  <OrderId("load")>                  = 852046
  <OrderId("unload")>                = 852047
  <OrderId("unloadall")>             = 852048
  <OrderId("unloadallinstant")>      = 852049
  <OrderId("loadcorpse")>            = 852050
  <OrderId("loadcorpseinstant")>     = 852053
  <OrderId("unloadallcorpses")>      = 852054
  <OrderId("defend")>                = 852055
  <OrderId("undefend")>              = 852056
  <OrderId("dispel")>                = 852057
  <OrderId("flare")>                 = 852060
  <OrderId("heal")>                  = 852063
  <OrderId("healon")>                = 852064
  <OrderId("healoff")>               = 852065
  <OrderId("innerfire")>             = 852066
  <OrderId("innerfireon")>           = 852067
  <OrderId("innerfireoff")>          = 852068
  <OrderId("invisibility")>          = 852069
  <OrderId("militiaconvert")>        = 852071
  <OrderId("militia")>               = 852072
  <OrderId("militiaoff")>            = 852073
  <OrderId("polymorph")>             = 852074
  <OrderId("slow")>                  = 852075
  <OrderId("slowon")>                = 852076
  <OrderId("slowoff")>               = 852077
  <OrderId("tankdroppilot")>         = 852079
  <OrderId("tankloadpilot")>         = 852080
  <OrderId("tankpilot")>             = 852081
  <OrderId("townbellon")>            = 852082
  <OrderId("townbelloff")>           = 852083
  <OrderId("avatar")>                = 852086
  <OrderId("unavatar")>              = 852087
  <OrderId("blizzard")>              = 852089
  <OrderId("divineshield")>          = 852090
  <OrderId("undivineshield")>        = 852091
  <OrderId("holybolt")>              = 852092
  <OrderId("massteleport")>          = 852093
  <OrderId("resurrection")>          = 852094
  <OrderId("thunderbolt")>           = 852095
  <OrderId("thunderclap")>           = 852096
  <OrderId("waterelemental")>        = 852097
  <OrderId("battlestations")>        = 852099
  <OrderId("berserk")>               = 852100
  <OrderId("bloodlust")>             = 852101
  <OrderId("bloodluston")>           = 852102
  <OrderId("bloodlustoff")>          = 852103
  <OrderId("devour")>                = 852104
  <OrderId("evileye")>               = 852105
  <OrderId("ensnare")>               = 852106
  <OrderId("ensnareon")>             = 852107
  <OrderId("ensnareoff")>            = 852108
  <OrderId("healingward")>           = 852109
  <OrderId("lightningshield")>       = 852110
  <OrderId("purge")>                 = 852111
  <OrderId("standdown")>             = 852113
  <OrderId("stasistrap")>            = 852114
  <OrderId("chainlightning")>        = 852119
  <OrderId("earthquake")>            = 852121
  <OrderId("farsight")>              = 852122
  <OrderId("mirrorimage")>           = 852123
  <OrderId("shockwave")>             = 852125
  <OrderId("spiritwolf")>            = 852126
  <OrderId("stomp")>                 = 852127
  <OrderId("whirlwind")>             = 852128
  <OrderId("windwalk")>              = 852129
  <OrderId("unwindwalk")>            = 852130
  <OrderId("ambush")>                = 852131
  <OrderId("autodispel")>            = 852132
  <OrderId("autodispelon")>          = 852133
  <OrderId("autodispeloff")>         = 852134
  <OrderId("barkskin")>              = 852135
  <OrderId("barkskinon")>            = 852136
  <OrderId("barkskinoff")>           = 852137
  <OrderId("bearform")>              = 852138
  <OrderId("unbearform")>            = 852139
  <OrderId("corrosivebreath")>       = 852140
  <OrderId("loadarcher")>            = 852142
  <OrderId("mounthippogryph")>       = 852143
  <OrderId("cyclone")>               = 852144
  <OrderId("detonate")>              = 852145
  <OrderId("eattree")>               = 852146
  <OrderId("entangle")>              = 852147
  <OrderId("entangleinstant")>       = 852148
  <OrderId("faeriefire")>            = 852149
  <OrderId("faeriefireon")>          = 852150
  <OrderId("faeriefireoff")>         = 852151
  <OrderId("ravenform")>             = 852155
  <OrderId("unravenform")>           = 852156
  <OrderId("recharge")>              = 852157
  <OrderId("rechargeon")>            = 852158
  <OrderId("rechargeoff")>           = 852159
  <OrderId("rejuvination")>          = 852160
  <OrderId("renew")>                 = 852161
  <OrderId("renewon")>               = 852162
  <OrderId("renewoff")>              = 852163
  <OrderId("roar")>                  = 852164
  <OrderId("root")>                  = 852165
  <OrderId("unroot")>                = 852166
  <OrderId("entanglingroots")>       = 852171
  <OrderId("flamingarrowstarg")>     = 852173
  <OrderId("flamingarrows")>         = 852174
  <OrderId("unflamingarrows")>       = 852175
  <OrderId("forceofnature")>         = 852176
  <OrderId("immolation")>            = 852177
  <OrderId("unimmolation")>          = 852178
  <OrderId("manaburn")>              = 852179
  <OrderId("metamorphosis")>         = 852180
  <OrderId("scout")>                 = 852181
  <OrderId("sentinel")>              = 852182
  <OrderId("starfall")>              = 852183
  <OrderId("tranquility")>           = 852184
  <OrderId("acolyteharvest")>        = 852185
  <OrderId("antimagicshell")>        = 852186
  <OrderId("blight")>                = 852187
  <OrderId("cannibalize")>           = 852188
  <OrderId("cripple")>               = 852189
  <OrderId("curse")>                 = 852190
  <OrderId("curseon")>               = 852191
  <OrderId("curseoff")>              = 852192
  <OrderId("freezingbreath")>        = 852195
  <OrderId("possession")>            = 852196
  <OrderId("raisedead")>             = 852197
  <OrderId("raisedeadon")>           = 852198
  <OrderId("raisedeadoff")>          = 852199
  <OrderId("instant")>               = 852200
  <OrderId("requestsacrifice")>      = 852201
  <OrderId("restoration")>           = 852202
  <OrderId("restorationon")>         = 852203
  <OrderId("restorationoff")>        = 852204
  <OrderId("sacrifice")>             = 852205
  <OrderId("stoneform")>             = 852206
  <OrderId("unstoneform")>           = 852207
  <OrderId("unholyfrenzy")>          = 852209
  <OrderId("unsummon")>              = 852210
  <OrderId("web")>                   = 852211
  <OrderId("webon")>                 = 852212
  <OrderId("weboff")>                = 852213
  <OrderId("wispharvest")>           = 852214
  <OrderId("auraunholy")>            = 852215
  <OrderId("auravampiric")>          = 852216
  <OrderId("animatedead")>           = 852217
  <OrderId("carrionswarm")>          = 852218
  <OrderId("darkritual")>            = 852219
  <OrderId("darksummoning")>         = 852220
  <OrderId("deathanddecay")>         = 852221
  <OrderId("deathcoil")>             = 852222
  <OrderId("deathpact")>             = 852223
  <OrderId("dreadlordinferno")>      = 852224
  <OrderId("frostarmor")>            = 852225
  <OrderId("frostnova")>             = 852226
  <OrderId("sleep")>                 = 852227
  <OrderId("darkconversion")>        = 852228
  <OrderId("darkportal")>            = 852229
  <OrderId("fingerofdeath")>         = 852230
  <OrderId("firebolt")>              = 852231
  <OrderId("inferno")>               = 852232
  <OrderId("gold2lumber")>           = 852233
  <OrderId("lumber2gold")>           = 852234
  <OrderId("spies")>                 = 852235
  <OrderId("rainofchaos")>           = 852237
  <OrderId("rainoffire")>            = 852238
  <OrderId("request_hero")>          = 852239
  <OrderId("disassociate")>          = 852240
  <OrderId("revenge")>               = 852241
  <OrderId("soulpreservation")>      = 852242
  <OrderId("coldarrowstarg")>        = 852243
  <OrderId("coldarrows")>            = 852244
  <OrderId("uncoldarrows")>          = 852245
  <OrderId("creepanimatedead")>      = 852246
  <OrderId("creepdevour")>           = 852247
  <OrderId("creepheal")>             = 852248
  <OrderId("creephealon")>           = 852249
  <OrderId("creephealoff")>          = 852250
  <OrderId("creepthunderbolt")>      = 852252
  <OrderId("creepthunderclap")>      = 852253
  <OrderId("poisonarrowstarg")>      = 852254
  <OrderId("poisonarrows")>          = 852255
  <OrderId("unpoisonarrows")>        = 852256
  <OrderId("frostarmoron")>          = 852458
  <OrderId("frostarmoroff")>         = 852459
  <OrderId("awaken")>                = 852466
  <OrderId("nagabuild")>             = 852467
  <OrderId("mount")>                 = 852469
  <OrderId("dismount")>              = 852470
  <OrderId("cloudoffog")>            = 852473
  <OrderId("controlmagic")>          = 852474
  <OrderId("magicdefense")>          = 852478
  <OrderId("magicundefense")>        = 852479
  <OrderId("magicleash")>            = 852480
  <OrderId("phoenixfire")>           = 852481
  <OrderId("phoenixmorph")>          = 852482
  <OrderId("spellsteal")>            = 852483
  <OrderId("spellstealon")>          = 852484
  <OrderId("spellstealoff")>         = 852485
  <OrderId("banish")>                = 852486
  <OrderId("drain")>                 = 852487
  <OrderId("flamestrike")>           = 852488
  <OrderId("summonphoenix")>         = 852489
  <OrderId("ancestralspirit")>       = 852490
  <OrderId("ancestralspirittarget")> = 852491
  <OrderId("corporealform")>         = 852493
  <OrderId("uncorporealform")>       = 852494
  <OrderId("disenchant")>            = 852495
  <OrderId("etherealform")>          = 852496
  <OrderId("unetherealform")>        = 852497
  <OrderId("spiritlink")>            = 852499
  <OrderId("unstableconcoction")>    = 852500
  <OrderId("healingwave")>           = 852501
  <OrderId("hex")>                   = 852502
  <OrderId("voodoo")>                = 852503
  <OrderId("ward")>                  = 852504
  <OrderId("autoentangle")>          = 852505
  <OrderId("autoentangleinstant")>   = 852506
  <OrderId("coupletarget")>          = 852507
  <OrderId("coupleinstant")>         = 852508
  <OrderId("decouple")>              = 852509
  <OrderId("grabtree")>              = 852511
  <OrderId("manaflareon")>           = 852512
  <OrderId("manaflareoff")>          = 852513
  <OrderId("phaseshift")>            = 852514
  <OrderId("phaseshifton")>          = 852515
  <OrderId("phaseshiftoff")>         = 852516
  <OrderId("phaseshiftinstant")>     = 852517
  <OrderId("taunt")>                 = 852520
  <OrderId("vengeance")>             = 852521
  <OrderId("vengeanceon")>           = 852522
  <OrderId("vengeanceoff")>          = 852523
  <OrderId("vengeanceinstant")>      = 852524
  <OrderId("blink")>                 = 852525
  <OrderId("fanofknives")>           = 852526
  <OrderId("shadowstrike")>          = 852527
  <OrderId("spiritofvengeance")>     = 852528
  <OrderId("absorb")>                = 852529
  <OrderId("avengerform")>           = 852531
  <OrderId("unavengerform")>         = 852532
  <OrderId("burrow")>                = 852533
  <OrderId("unburrow")>              = 852534
  <OrderId("devourmagic")>           = 852536
  <OrderId("flamingattacktarg")>     = 852539
  <OrderId("flamingattack")>         = 852540
  <OrderId("unflamingattack")>       = 852541
  <OrderId("replenish")>             = 852542
  <OrderId("replenishon")>           = 852543
  <OrderId("replenishoff")>          = 852544
  <OrderId("replenishlife")>         = 852545
  <OrderId("replenishlifeon")>       = 852546
  <OrderId("replenishlifeoff")>      = 852547
  <OrderId("replenishmana")>         = 852548
  <OrderId("replenishmanaon")>       = 852549
  <OrderId("replenishmanaoff")>      = 852550
  <OrderId("carrionscarabs")>        = 852551
  <OrderId("carrionscarabson")>      = 852552
  <OrderId("carrionscarabsoff")>     = 852553
  <OrderId("carrionscarabsinstant")> = 852554
  <OrderId("impale")>                = 852555
  <OrderId("locustswarm")>           = 852556
  <OrderId("breathoffrost")>         = 852560
  <OrderId("frenzy")>                = 852561
  <OrderId("frenzyon")>              = 852562
  <OrderId("frenzyoff")>             = 852563
  <OrderId("mechanicalcritter")>     = 852564
  <OrderId("mindrot")>               = 852565
  <OrderId("neutralinteract")>       = 852566
  <OrderId("preservation")>          = 852568
  <OrderId("sanctuary")>             = 852569
  <OrderId("shadowsight")>           = 852570
  <OrderId("spellshield")>           = 852571
  <OrderId("spellshieldaoe")>        = 852572
  <OrderId("spirittroll")>           = 852573
  <OrderId("steal")>                 = 852574
  <OrderId("attributemodskill")>     = 852576
  <OrderId("blackarrow")>            = 852577
  <OrderId("blackarrowon")>          = 852578
  <OrderId("blackarrowoff")>         = 852579
  <OrderId("breathoffire")>          = 852580
  <OrderId("charm")>                 = 852581
  <OrderId("doom")>                  = 852583
  <OrderId("drunkenhaze")>           = 852585
  <OrderId("elementalfury")>         = 852586
  <OrderId("forkedlightning")>       = 852587
  <OrderId("howlofterror")>          = 852588
  <OrderId("manashieldon")>          = 852589
  <OrderId("manashieldoff")>         = 852590
  <OrderId("monsoon")>               = 852591
  <OrderId("silence")>               = 852592
  <OrderId("stampede")>              = 852593
  <OrderId("summongrizzly")>         = 852594
  <OrderId("summonquillbeast")>      = 852595
  <OrderId("summonwareagle")>        = 852596
  <OrderId("tornado")>               = 852597
  <OrderId("wateryminion")>          = 852598
  <OrderId("battleroar")>            = 852599
  <OrderId("channel")>               = 852600
  <OrderId("parasite")>              = 852601
  <OrderId("parasiteon")>            = 852602
  <OrderId("parasiteoff")>           = 852603
  <OrderId("submerge")>              = 852604
  <OrderId("unsubmerge")>            = 852605
  <OrderId("neutralspell")>          = 852630
  <OrderId("militiaunconvert")>      = 852651
  <OrderId("clusterrockets")>        = 852652
  <OrderId("robogoblin")>            = 852656
  <OrderId("unrobogoblin")>          = 852657
  <OrderId("summonfactory")>         = 852658
  <OrderId("acidbomb")>              = 852662
  <OrderId("chemicalrage")>          = 852663
  <OrderId("healingspray")>          = 852664
  <OrderId("transmute")>             = 852665
  <OrderId("lavamonster")>           = 852667
  <OrderId("soulburn")>              = 852668
  <OrderId("volcano")>               = 852669
  <OrderId("incineratearrow")>       = 852670
  <OrderId("incineratearrowon")>     = 852671
  <OrderId("incineratearrowoff")>    = 852672
  
  // Orders without string substitute
  
  // When player drags item to slot NN
  order_itemdrag00 = 852002
  order_itemdrag01 = 852003
  order_itemdrag02 = 852004
  order_itemdrag03 = 852005
  order_itemdrag04 = 852006
  order_itemdrag05 = 852007
  
  // When player uses item in slot NN
  order_itemuse00  = 852008
  order_itemuse01  = 852009
  order_itemuse02  = 852010
  order_itemuse03  = 852011
  order_itemuse04  = 852012
  order_itemuse05  = 852013
}
